Why not set the airbnb for eslint?

Installed eslint, it went fine without errors, then try to put airbnb so:
sudo npm install -g --save-dev eslint-config-airbnb

And get this:
├── UNMET DEPENDENCY PEER eslint@^3.5.0
├─┬ eslint-config-airbnb@11.1.0 
│ ├── UNMET DEPENDENCY PEER eslint@^3.5.0
│ └── UNMET DEPENDENCY PEER eslint-plugin-import@^1.14.0
├── UNMET DEPENDENCY PEER eslint-plugin-import@^1.14.0
├── UNMET DEPENDENCY PEER eslint-plugin-jsx-a11y@^2.2.1
└── UNMET DEPENDENCY PEER eslint-plugin-react@^6.2.0

npm WARN eslint-config-airbnb@11.1.0 requires a peer of eslint@^3.5.0 but none was installed.
npm WARN eslint-config-airbnb@11.1.0 requires a peer of eslint-plugin-jsx-a11y@^2.2.1 but none was installed.
npm WARN eslint-config-airbnb@11.1.0 requires a peer of eslint-plugin-import@^1.14.0 but none was installed.
npm WARN eslint-config-airbnb@11.1.0 requires a peer of eslint-plugin-react@^6.2.0 but none was installed.
npm WARN eslint-config-airbnb-base@7.1.0 requires a peer of eslint@^3.5.0 but none was installed.
npm WARN eslint-config-airbnb-base@7.1.0 requires a peer of eslint-plugin-import@^1.14.0 but none was installed.

How he was able to understand the error due to the version of eslint. But I put the eslint version 2.x and 3.5.0 and always the same error...
Can you help?
July 4th 19 at 22:57
1 answer
July 4th 19 at 22:59
There are plug-ins depend on each other. It's more challenging. Then he figured out and wrote a npm module eslint-config-airbnb-standard.

You must first install version 3 eslint and eslint-plugin-import. Plus, you globally are trying to install eslint. To do this, all dependent plug-ins need also to globally set, and that's not cool. So I figured out how to bypass it. Read here.

I have this module now use for Sublime Text 3 or WebStorm. Also expanded by the config Standard JavaScript Style. No now PEER UNMET DEPENDENCY. Just install, configure according to the instructions, throw in a folder .eslintrc, if necessary, and everything works.

wRwDALx.png
In short,
npm i -g eslint-config-airbnb-standard
eslint -v
- Alene_Renner commented on July 4th 19 at 23:02

Find more questions by tags bashUbuntu